### A free/open-source library for quantitative finance

Public Member Functions
GaussianRandomDefaultModel Class Reference

`#include <ql/experimental/credit/randomdefaultmodel.hpp>`

Inheritance diagram for GaussianRandomDefaultModel:
[legend]

List of all members.

## Public Member Functions

| GaussianRandomDefaultModel (boost::shared_ptr< Pool > pool, const std::vector< DefaultProbKey > &defaultKeys, Handle< OneFactorCopula > copula, Real accuracy, long seed)
void | nextSequence (Real tmax=QL_MAX_REAL)
void | reset ()

## Detailed Description

Random default times using a one-factor Gaussian copula.

## Member Function Documentation

void nextSequence | ( | Real | tmax = `QL_MAX_REAL` | ) | `[virtual]`

Generate a sequence of random default times, one for each name in the pool, and store the result in the Pool using method setTime(name). tmax denotes the maximum relevant time- default times > tmax are not computed but set to tmax + 1 instead to save coputation time.

Implements RandomDefaultModel.